<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: sort_array</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for sort_array {SparkR}"><tr><td>sort_array {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>sort_array</h2>

<h3>Description</h3>

<p>Sorts the input array for the given column in ascending order,
according to the natural ordering of the array elements.
</p>


<h3>Usage</h3>

<pre>
## S4 method for signature 'Column'
sort_array(x, asc = TRUE)

sort_array(x, asc = TRUE)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>x</code></td>
<td>
<p>A Column to sort</p>
</td></tr>
<tr valign="top"><td><code>asc</code></td>
<td>
<p>A logical flag indicating the sorting order.
TRUE, sorting is in ascending order.
FALSE, sorting is in descending order.</p>
</td></tr>
</table>


<h3>See Also</h3>

<p>Other collection_funcs: <code><a href="array_contains.html">array_contains</a></code>,
<code><a href="array_contains.html">array_contains</a></code>; <code><a href="explode.html">explode</a></code>,
<code><a href="explode.html">explode</a></code>; <code><a href="size.html">size</a></code>,
<code><a href="size.html">size</a></code>
</p>


<h3>Examples</h3>

<pre>
## Not run: 
sort_array(df$c)
sort_array(df$c, FALSE)

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
